### Struct

# FwupdPlugin StructCabFile

since: 1.0

#### Description

    struct FuStructCabFile {
      GByteArray* buf;
      guint refcount;
    }

No description available.

###### Structure members

`buf`
  No description available.
`refcount`
  No description available.

Available since: 1.0

#### Functions

###### fu_struct_cab_file_new

No description available.

since: 1.0

###### fu_struct_cab_file_parse_stream

No description available.

since: 1.0

#### Instance methods

###### fu_struct_cab_file_get_date

No description available.

since: 1.0

###### fu_struct_cab_file_get_fattr

No description available.

since: 1.0

###### fu_struct_cab_file_get_index

No description available.

since: 1.0

###### fu_struct_cab_file_get_time

No description available.

since: 1.0

###### fu_struct_cab_file_get_uoffset

No description available.

since: 1.0

###### fu_struct_cab_file_get_usize

No description available.

since: 1.0

###### fu_struct_cab_file_ref

No description available.

since: 1.0

###### fu_struct_cab_file_set_date

No description available.

since: 1.0

###### fu_struct_cab_file_set_fattr

No description available.

since: 1.0

###### fu_struct_cab_file_set_index

No description available.

since: 1.0

###### fu_struct_cab_file_set_time

No description available.

since: 1.0

###### fu_struct_cab_file_set_uoffset

No description available.

since: 1.0

###### fu_struct_cab_file_set_usize

No description available.

since: 1.0

###### fu_struct_cab_file_unref

No description available.

since: 1.0